New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Navigator Error #1984

Closed
iop956 opened this Issue Jun 6, 2017 · 16 comments

Comments

Projects
None yet
@iop956

iop956 commented Jun 6, 2017

Main error

An unexpected error occurred on Navigator start-up
psutil.AccessDenied (pid=607)

Traceback

Traceback (most recent call last):
  File "/Users/deanimal77/anaconda/lib/python3.6/site-packages/psutil/_psosx.py", line 293, in wrapper
    return fun(self, *args, **kwargs)
  File "/Users/deanimal77/anaconda/lib/python3.6/site-packages/psutil/_psosx.py", line 356, in cmdline
    return cext.proc_cmdline(self.pid)
PermissionError: [Errno 13] Permission denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/deanimal77/anaconda/lib/python3.6/site-packages/anaconda_navigator/exceptions.py", line 75, in exception_handler
    return_value = func(*args, **kwargs)
  File "/Users/deanimal77/anaconda/lib/python3.6/site-packages/anaconda_navigator/app/start.py", line 108, in start_app
    if misc.load_pid() is None:  # A stale lock might be around
  File "/Users/deanimal77/anaconda/lib/python3.6/site-packages/anaconda_navigator/utils/misc.py", line 384, in load_pid
    cmds = process.cmdline()
  File "/Users/deanimal77/anaconda/lib/python3.6/site-packages/psutil/__init__.py", line 701, in cmdline
    return self._proc.cmdline()
  File "/Users/deanimal77/anaconda/lib/python3.6/site-packages/psutil/_psosx.py", line 306, in wrapper
    raise AccessDenied(self.pid, self._name)
psutil.AccessDenied: psutil.AccessDenied (pid=607)

System information

python: 3.6.1
language: en
os: Darwin;16.6.0;Darwin Kernel Version 16.6.0: Fri Apr 14 16:21:16 PDT 2017; root:xnu-3789.60.24~6/RELEASE_X86_64;x86_64;i386
version: 1.6.2
platform: osx-64
qt: 5.6.2
pyqt: 5.6.0
conda: 4.3.21

@goanpeca goanpeca self-assigned this Jun 6, 2017

@goanpeca

This comment has been minimized.

Show comment
Hide comment
@goanpeca

goanpeca Jun 8, 2017

Member

@iop956 please run

$ anaconda-navigator --reset

Did you try to run Navigator with sudo, and then without sudo (or Run as Administrator on Windows)?


Please update to the latest version of Navigator.

On Navigator click on the update button on the top right of the interface or
on the terminal type

$ conda update anaconda-navigator
Member

goanpeca commented Jun 8, 2017

@iop956 please run

$ anaconda-navigator --reset

Did you try to run Navigator with sudo, and then without sudo (or Run as Administrator on Windows)?


Please update to the latest version of Navigator.

On Navigator click on the update button on the top right of the interface or
on the terminal type

$ conda update anaconda-navigator
@iop956

This comment has been minimized.

Show comment
Hide comment
@iop956

iop956 Jun 8, 2017

iop956 commented Jun 8, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment